petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous PetscSynchronizedPrintf() calls.

### Synopsis

    PetscErrorCode  PetscSynchronizedFlush(MPI_Comm comm,FILE *fd)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicator Many br
| fd | - the file pointer (valid on process 0 of the communicator) Many br

Many br

### Notes

Usage of PetscSynchronizedPrintf() and PetscSynchronizedFPrintf() with Many brdifferent MPI communicators REQUIRES an intervening call to PetscSynchronizedFlush(). Many br

### See Also

PetscSynchronizedPrintf(), PetscFPrintf(), PetscPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf() Many br

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex10.c.html